import palete from '../palete';

module.exports = {
	colors: Object.assign(palete, {
		active: {
			color: palete.pink['400'],
			background: palete.pink['200'],
			border: palete.pink['500']
		},
		primary: {
			color: palete.indigo['700'],
			border: palete.indigo['500'],
			background: palete.indigo['200']
		},
		focus: {
			color: '#fff',
			border: palete.teal['500'],
			background: palete.teal['400']
		},
		button: {
			blank: {
				color: '#000',
				border: palete.gray['200'],
				background: '#fff'
			},
			none: {
				color: palete.gray['500'],
				border: palete.gray['200'],
				background: '#fff'
			},
			disabled: {
				color: palete.gray['200'],
				border: palete.gray['200'],
				background: palete.gray['100']
			}
		},
		field: {
			input: {
				border: palete.gray['300']
			},
			label: {
				color: palete.gray['500']
			},
			disabled: {
				color: palete.gray['300']
			},
			icon: {
				color: palete.gray['500']
			}
		},
		list: {
			item: {
				border: palete.gray['100']
			}
		},
		navigation: {
			logo: {
				color: '#000'
			},
			top: {
				color: '#000',
				background: palete.azure['300'],
				active: {
					background: palete.azure['200'],
					color: '#000'
				}
			},
			side: {
				color: '#000',
				background: palete.saffron['300'],
				border: palete.saffron['400'],
				active: {
					background: palete.saffron['200'],
					color: '#000'
				},
				toggler: {
					color: '#000'
				}
			}
		},
		table: {
			head: {
				background: palete.purple['400']
			}
		},
		status: {
			info: {
				color: '#fff',
				border: palete.azure['500'],
				background: palete.azure['400']
			},
			success: {
				color: '#fff',
				border: palete.submarine['500'],
				background: palete.submarine['400']
			},
			warning: {
				color: '#000',
				border: palete.tangerine['500'],
				background: palete.tangerine['400']
			},
			error: {
				color: '#fff',
				border: palete.cerise['500'],
				background: palete.cerise['400']
			}
		}
	})
};
